﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.Controls;

namespace ScheduleViewAppointmentStyleSelectorImplStyles
{
	public class ViewModel
	{
		public ObservableCollection<Appointment> Appointments { get; set; }
		public ObservableCollection<Slot> SpecialSlots { get; set; }

		public ViewModel()
		{
			this.Appointments = new ObservableCollection<Appointment>() {
				new Appointment() {
					Start = new DateTime(2012,10,8,16,0,0),
					End = new DateTime(2012,10,8,17,0,0),
					Subject = "test appointment",
					Category = new Category("new category", new SolidColorBrush(Colors.Red))
				},

				new Appointment() {
					Start = new DateTime(2012,10,8,10,0,0),
					End = new DateTime(2012,10,8,11,0,0),
					Subject = "test appointment",
					Category = new Category("new category", new SolidColorBrush(Colors.Red))
				}
			};
		
			this.SpecialSlots = new ObservableCollection<Slot>() {
				new Slot() {
					Start = new DateTime(2012,10,8,14,0,0),
					End = new DateTime(2012,10,8,18,0,0),
					IsReadOnly = true
				}
			};
		}
	}
}
